MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026483Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-07-27 09:482015-10-23 20:50
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026483: Option Run Parallel is not used by the command bopargcheck
DescriptionOption Run Parallel is not used by the command bopargcheck
Steps To ReproduceIt is not necessary to have a test script.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0043434)
git (administrator)
2015-07-27 09:58

Branch CR26483 has been created by pkv.

SHA-1: 380eaf77b9ecffca3496b35fe03ae903554a9cd5


No new revisions were added by this update.
(0043435)
git (administrator)
2015-07-27 10:06

Branch CR26483 has been updated by pkv.

SHA-1: 12119295a24bcec837074169d07c50bb38faa344


Detailed log of new commits:

Author: pkv
Date: Mon Jul 27 10:06:15 2015 +0300

    0026483: Option Run Parallel is not used by the command bopargcheck
    
    I. New features:
    No new features
    
    II. Changes:
    II.1 class BOPTest
    -static function:
    Standard_Integer bopargcheck (Draw_Interpretor& di,
                                  Standard_Integer n,
                                  const char** a )
    The option has been retrieved and passed to the checker algorithm.
    
    III. Modified entities:
    packages:
    BOPTest

(0043436)
pkv (developer)
2015-07-27 10:07

Please review the branch CR26483.
(0043511)
emv (developer)
2015-07-27 13:34

Reviewed.
(0043631)
apn (administrator)
2015-07-28 14:17

Dear BugMaster,

Branch CR26483 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 12119295a24bcec837074169d07c50bb38faa344

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 99953566 / 99936555 [+0.02%]
Total CPU difference: 17363.299999999606 / 17423.48999999944 [-0.35%]

Testing on Windows:
Total MEMORY difference: 58061416 / 58573396 [-0.87%]
Total CPU difference: 16478.37002989935 / 16884.581033799295 [-2.41%]
(0044154)
git (administrator)
2015-08-14 10:53

Branch CR26483 has been deleted by inv.

SHA-1: 12119295a24bcec837074169d07c50bb38faa344

- Related Changesets
occt: master 7321e9fb
Timestamp: 2015-07-27 07:06:15
Author: pkv
Committer: bugmaster
Details ] Diff ]
0026483: Option Run Parallel is not used by the command bopargcheck

I. New features:
No new features

II. Changes:
II.1 class BOPTest
-static function:
Standard_Integer bopargcheck (Draw_Interpretor& di,
                              Standard_Integer n,
                              const char** a )
The option has been retrieved and passed to the checker algorithm.

III. Modified entities:
packages:
BOPTest
mod - src/BOPTest/BOPTest_CheckCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-27 09:48 pkv New Issue
2015-07-27 09:48 pkv Assigned To => msv
2015-07-27 09:48 pkv Assigned To msv => pkv
2015-07-27 09:48 pkv Status new => assigned
2015-07-27 09:58 git Note Added: 0043434
2015-07-27 10:06 git Note Added: 0043435
2015-07-27 10:07 pkv Note Added: 0043436
2015-07-27 10:07 pkv Assigned To pkv => emv
2015-07-27 13:34 pkv Status assigned => resolved
2015-07-27 13:34 emv Note Added: 0043511
2015-07-27 13:34 emv Assigned To emv => bugmaster
2015-07-27 13:34 emv Status resolved => reviewed
2015-07-27 17:16 apv Assigned To bugmaster => apn
2015-07-28 14:17 apn Note Added: 0043631
2015-07-28 14:22 apn Test case number => Not needed
2015-07-28 14:22 apn Assigned To apn => bugmaster
2015-07-28 14:22 apn Status reviewed => tested
2015-07-31 12:31 bugmaster Changeset attached => occt master 7321e9fb
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-08-14 10:53 git Note Added: 0044154
2015-08-26 10:59 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker